[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenu.DoChange

Performs actions needed when the specified menu item has been changed.

## Declaration

Source position: menus.pp line 392

`protected procedure TMenu.DoChange(`
`Source: TMenuItem;`
`Rebuild: Boolean`
`); virtual;`

## Arguments

`Source` |  | Menu item where the change occurred.
`Rebuild` |  | True to rebuild the child menu items.

## Description

DoChange is a method used to perform actions need when the menu item in Source has been changed. The Rebuild parameter indicates that the hierarchy of child menu items in Source should be reconstructed.

DoChange signals the OnChange event handler (when assigned) using the menu instance, Source, and Rebuild as arguments.

DoChange is called from the MenuChanged method.

## See also

TMenu.OnChange |  | Event handler signalled when a menu item in Items has been changed.
TMenu.MenuChanged |  | Implements the OnChange event handler assigned to menu items in the menu.
TMenuItem |  | Represents a menu item displayed in a menu.